Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network127.206.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
127.206.0.0
Broadcast address
127.206.255.255
First usable
127.206.0.1
Last usable
127.206.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Loopback 127.0.0.0/8
This computer
Old class
A (default /8)
As numbers
Hex 7FCE0000 · Integer 2144206848 to 2144272383
Reverse DNS zone
206.127.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01111111.11001110..00000000.00000000127.206.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network01111111.11001110..00000000.00000000127.206.0.0
Broadcast01111111.11001110..11111111.11111111127.206.255.255
Split into smaller subnets/23

127.206.0.0/16 makes 128 subnets of /23.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1127.206.0.0/23127.206.0.1 to 127.206.1.254127.206.1.255510
2127.206.2.0/23127.206.2.1 to 127.206.3.254127.206.3.255510
3127.206.4.0/23127.206.4.1 to 127.206.5.254127.206.5.255510
4127.206.6.0/23127.206.6.1 to 127.206.7.254127.206.7.255510
5127.206.8.0/23127.206.8.1 to 127.206.9.254127.206.9.255510
6127.206.10.0/23127.206.10.1 to 127.206.11.254127.206.11.255510
7127.206.12.0/23127.206.12.1 to 127.206.13.254127.206.13.255510
8127.206.14.0/23127.206.14.1 to 127.206.15.254127.206.15.255510
9127.206.16.0/23127.206.16.1 to 127.206.17.254127.206.17.255510
10127.206.18.0/23127.206.18.1 to 127.206.19.254127.206.19.255510
11127.206.20.0/23127.206.20.1 to 127.206.21.254127.206.21.255510
12127.206.22.0/23127.206.22.1 to 127.206.23.254127.206.23.255510
13127.206.24.0/23127.206.24.1 to 127.206.25.254127.206.25.255510
14127.206.26.0/23127.206.26.1 to 127.206.27.254127.206.27.255510
15127.206.28.0/23127.206.28.1 to 127.206.29.254127.206.29.255510
16127.206.30.0/23127.206.30.1 to 127.206.31.254127.206.31.255510
17127.206.32.0/23127.206.32.1 to 127.206.33.254127.206.33.255510
18127.206.34.0/23127.206.34.1 to 127.206.35.254127.206.35.255510
19127.206.36.0/23127.206.36.1 to 127.206.37.254127.206.37.255510
20127.206.38.0/23127.206.38.1 to 127.206.39.254127.206.39.255510
21127.206.40.0/23127.206.40.1 to 127.206.41.254127.206.41.255510
22127.206.42.0/23127.206.42.1 to 127.206.43.254127.206.43.255510
23127.206.44.0/23127.206.44.1 to 127.206.45.254127.206.45.255510
24127.206.46.0/23127.206.46.1 to 127.206.47.254127.206.47.255510
25127.206.48.0/23127.206.48.1 to 127.206.49.254127.206.49.255510
26127.206.50.0/23127.206.50.1 to 127.206.51.254127.206.51.255510
27127.206.52.0/23127.206.52.1 to 127.206.53.254127.206.53.255510
28127.206.54.0/23127.206.54.1 to 127.206.55.254127.206.55.255510
29127.206.56.0/23127.206.56.1 to 127.206.57.254127.206.57.255510
30127.206.58.0/23127.206.58.1 to 127.206.59.254127.206.59.255510
31127.206.60.0/23127.206.60.1 to 127.206.61.254127.206.61.255510
32127.206.62.0/23127.206.62.1 to 127.206.63.254127.206.63.255510
33127.206.64.0/23127.206.64.1 to 127.206.65.254127.206.65.255510
34127.206.66.0/23127.206.66.1 to 127.206.67.254127.206.67.255510
35127.206.68.0/23127.206.68.1 to 127.206.69.254127.206.69.255510
36127.206.70.0/23127.206.70.1 to 127.206.71.254127.206.71.255510
37127.206.72.0/23127.206.72.1 to 127.206.73.254127.206.73.255510
38127.206.74.0/23127.206.74.1 to 127.206.75.254127.206.75.255510
39127.206.76.0/23127.206.76.1 to 127.206.77.254127.206.77.255510
40127.206.78.0/23127.206.78.1 to 127.206.79.254127.206.79.255510
41127.206.80.0/23127.206.80.1 to 127.206.81.254127.206.81.255510
42127.206.82.0/23127.206.82.1 to 127.206.83.254127.206.83.255510
43127.206.84.0/23127.206.84.1 to 127.206.85.254127.206.85.255510
44127.206.86.0/23127.206.86.1 to 127.206.87.254127.206.87.255510
45127.206.88.0/23127.206.88.1 to 127.206.89.254127.206.89.255510
46127.206.90.0/23127.206.90.1 to 127.206.91.254127.206.91.255510
47127.206.92.0/23127.206.92.1 to 127.206.93.254127.206.93.255510
48127.206.94.0/23127.206.94.1 to 127.206.95.254127.206.95.255510
49127.206.96.0/23127.206.96.1 to 127.206.97.254127.206.97.255510
50127.206.98.0/23127.206.98.1 to 127.206.99.254127.206.99.255510
51127.206.100.0/23127.206.100.1 to 127.206.101.254127.206.101.255510
52127.206.102.0/23127.206.102.1 to 127.206.103.254127.206.103.255510
53127.206.104.0/23127.206.104.1 to 127.206.105.254127.206.105.255510
54127.206.106.0/23127.206.106.1 to 127.206.107.254127.206.107.255510
55127.206.108.0/23127.206.108.1 to 127.206.109.254127.206.109.255510
56127.206.110.0/23127.206.110.1 to 127.206.111.254127.206.111.255510
57127.206.112.0/23127.206.112.1 to 127.206.113.254127.206.113.255510
58127.206.114.0/23127.206.114.1 to 127.206.115.254127.206.115.255510
59127.206.116.0/23127.206.116.1 to 127.206.117.254127.206.117.255510
60127.206.118.0/23127.206.118.1 to 127.206.119.254127.206.119.255510
61127.206.120.0/23127.206.120.1 to 127.206.121.254127.206.121.255510
62127.206.122.0/23127.206.122.1 to 127.206.123.254127.206.123.255510
63127.206.124.0/23127.206.124.1 to 127.206.125.254127.206.125.255510
64127.206.126.0/23127.206.126.1 to 127.206.127.254127.206.127.255510
65127.206.128.0/23127.206.128.1 to 127.206.129.254127.206.129.255510
66127.206.130.0/23127.206.130.1 to 127.206.131.254127.206.131.255510
67127.206.132.0/23127.206.132.1 to 127.206.133.254127.206.133.255510
68127.206.134.0/23127.206.134.1 to 127.206.135.254127.206.135.255510
69127.206.136.0/23127.206.136.1 to 127.206.137.254127.206.137.255510
70127.206.138.0/23127.206.138.1 to 127.206.139.254127.206.139.255510
71127.206.140.0/23127.206.140.1 to 127.206.141.254127.206.141.255510
72127.206.142.0/23127.206.142.1 to 127.206.143.254127.206.143.255510
73127.206.144.0/23127.206.144.1 to 127.206.145.254127.206.145.255510
74127.206.146.0/23127.206.146.1 to 127.206.147.254127.206.147.255510
75127.206.148.0/23127.206.148.1 to 127.206.149.254127.206.149.255510
76127.206.150.0/23127.206.150.1 to 127.206.151.254127.206.151.255510
77127.206.152.0/23127.206.152.1 to 127.206.153.254127.206.153.255510
78127.206.154.0/23127.206.154.1 to 127.206.155.254127.206.155.255510
79127.206.156.0/23127.206.156.1 to 127.206.157.254127.206.157.255510
80127.206.158.0/23127.206.158.1 to 127.206.159.254127.206.159.255510
81127.206.160.0/23127.206.160.1 to 127.206.161.254127.206.161.255510
82127.206.162.0/23127.206.162.1 to 127.206.163.254127.206.163.255510
83127.206.164.0/23127.206.164.1 to 127.206.165.254127.206.165.255510
84127.206.166.0/23127.206.166.1 to 127.206.167.254127.206.167.255510
85127.206.168.0/23127.206.168.1 to 127.206.169.254127.206.169.255510
86127.206.170.0/23127.206.170.1 to 127.206.171.254127.206.171.255510
87127.206.172.0/23127.206.172.1 to 127.206.173.254127.206.173.255510
88127.206.174.0/23127.206.174.1 to 127.206.175.254127.206.175.255510
89127.206.176.0/23127.206.176.1 to 127.206.177.254127.206.177.255510
90127.206.178.0/23127.206.178.1 to 127.206.179.254127.206.179.255510
91127.206.180.0/23127.206.180.1 to 127.206.181.254127.206.181.255510
92127.206.182.0/23127.206.182.1 to 127.206.183.254127.206.183.255510
93127.206.184.0/23127.206.184.1 to 127.206.185.254127.206.185.255510
94127.206.186.0/23127.206.186.1 to 127.206.187.254127.206.187.255510
95127.206.188.0/23127.206.188.1 to 127.206.189.254127.206.189.255510
96127.206.190.0/23127.206.190.1 to 127.206.191.254127.206.191.255510
97127.206.192.0/23127.206.192.1 to 127.206.193.254127.206.193.255510
98127.206.194.0/23127.206.194.1 to 127.206.195.254127.206.195.255510
99127.206.196.0/23127.206.196.1 to 127.206.197.254127.206.197.255510
100127.206.198.0/23127.206.198.1 to 127.206.199.254127.206.199.255510
101127.206.200.0/23127.206.200.1 to 127.206.201.254127.206.201.255510
102127.206.202.0/23127.206.202.1 to 127.206.203.254127.206.203.255510
103127.206.204.0/23127.206.204.1 to 127.206.205.254127.206.205.255510
104127.206.206.0/23127.206.206.1 to 127.206.207.254127.206.207.255510
105127.206.208.0/23127.206.208.1 to 127.206.209.254127.206.209.255510
106127.206.210.0/23127.206.210.1 to 127.206.211.254127.206.211.255510
107127.206.212.0/23127.206.212.1 to 127.206.213.254127.206.213.255510
108127.206.214.0/23127.206.214.1 to 127.206.215.254127.206.215.255510
109127.206.216.0/23127.206.216.1 to 127.206.217.254127.206.217.255510
110127.206.218.0/23127.206.218.1 to 127.206.219.254127.206.219.255510
111127.206.220.0/23127.206.220.1 to 127.206.221.254127.206.221.255510
112127.206.222.0/23127.206.222.1 to 127.206.223.254127.206.223.255510
113127.206.224.0/23127.206.224.1 to 127.206.225.254127.206.225.255510
114127.206.226.0/23127.206.226.1 to 127.206.227.254127.206.227.255510
115127.206.228.0/23127.206.228.1 to 127.206.229.254127.206.229.255510
116127.206.230.0/23127.206.230.1 to 127.206.231.254127.206.231.255510
117127.206.232.0/23127.206.232.1 to 127.206.233.254127.206.233.255510
118127.206.234.0/23127.206.234.1 to 127.206.235.254127.206.235.255510
119127.206.236.0/23127.206.236.1 to 127.206.237.254127.206.237.255510
120127.206.238.0/23127.206.238.1 to 127.206.239.254127.206.239.255510
121127.206.240.0/23127.206.240.1 to 127.206.241.254127.206.241.255510
122127.206.242.0/23127.206.242.1 to 127.206.243.254127.206.243.255510
123127.206.244.0/23127.206.244.1 to 127.206.245.254127.206.245.255510
124127.206.246.0/23127.206.246.1 to 127.206.247.254127.206.247.255510
125127.206.248.0/23127.206.248.1 to 127.206.249.254127.206.249.255510
126127.206.250.0/23127.206.250.1 to 127.206.251.254127.206.251.255510
127127.206.252.0/23127.206.252.1 to 127.206.253.254127.206.253.255510
128127.206.254.0/23127.206.254.1 to 127.206.255.254127.206.255.255510

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses